Package org.globus.ftp.exception

# Class ServerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.ftp.exception.FTPException
org.globus.ftp.exception.ServerException

All Implemented Interfaces:
  `Serializable`

public class ServerException extends FTPException
Indicates that operation failed because of conditions on the server, independent from the client. For instance, the server did not understand command, or could not read file. Note that here "server" can mean either a remote server, or the local internal server (FTPServerFacade).

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`customMessage`
`static final int`
`PREVIOUS_TRANSFER_ACTIVE`
`static final int`
`REPLY_TIMEOUT`
`static final int`
`SERVER_REFUSED`
Server refused performing the request
`static final int`
`UNSUPPORTED_FEATURE`
`static final int`
`WRONG_PROTOCOL`
The communication from the server was not understood, possibly because of incompatible protocol.

### Fields inherited from class org.globus.ftp.exception.FTPException

`cause, code, UNSPECIFIED`

## Constructor Summary

Constructors
Constructor
Description
`ServerException(int code)`
`ServerException(int code, String message)`

## Method Summary

Modifier and Type
Method
Description
`static ServerException`
`embedFTPReplyParseException(FTPReplyParseException rpe)`
`static ServerException`
`embedFTPReplyParseException(FTPReplyParseException rpe, String message)`
Constructs server exception with FTPReplyParseException nested in it.
`static ServerException`
`embedUnexpectedReplyCodeException(UnexpectedReplyCodeException urce)`
`static ServerException`
`embedUnexpectedReplyCodeException(UnexpectedReplyCodeException urce, String message)`
Constructs server exception with UnexpectedReplyCodeException nested in it.
`String`
`getCodeExplanation(int code)`

### Methods inherited from class org.globus.ftp.exception.FTPException

`getCode, getCustomMessage, getMessage, getRootCause, printStackTrace, printStackTrace, printStackTrace, setCode, setCustomMessage, setRootCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SERVER_REFUSED

public static final int SERVER_REFUSED
Server refused performing the request

See Also:
  - Constant Field Values

### WRONG_PROTOCOL

public static final int WRONG_PROTOCOL
The communication from the server was not understood, possibly because of incompatible protocol.

See Also:
  - Constant Field Values

### UNSUPPORTED_FEATURE

public static final int UNSUPPORTED_FEATURE

See Also:
  - Constant Field Values

### REPLY_TIMEOUT

public static final int REPLY_TIMEOUT

See Also:
  - Constant Field Values

### PREVIOUS_TRANSFER_ACTIVE

public static final int PREVIOUS_TRANSFER_ACTIVE

See Also:
  - Constant Field Values

### customMessage

protected String customMessage

## Constructor Details

### ServerException

public ServerException(int code, String message)

### ServerException

public ServerException(int code)

## Method Details

### getCodeExplanation

public String getCodeExplanation(int code)

Overrides:
  `getCodeExplanation` in class `FTPException`

### embedFTPReplyParseException

public static ServerException embedFTPReplyParseException(FTPReplyParseException rpe, String message)
Constructs server exception with FTPReplyParseException nested in it.

### embedFTPReplyParseException

public static ServerException embedFTPReplyParseException(FTPReplyParseException rpe)

### embedUnexpectedReplyCodeException

public static ServerException embedUnexpectedReplyCodeException(UnexpectedReplyCodeException urce, String message)
Constructs server exception with UnexpectedReplyCodeException nested in it.

### embedUnexpectedReplyCodeException

public static ServerException embedUnexpectedReplyCodeException(UnexpectedReplyCodeException urce)